## cong-parser-error

cong-parser-error —

## Synopsis

    xmlDocPtr   cong_ui_parse_buffer            (const char *buffer,
                                                 GnomeVFSFileSize size,
                                                 const gchar *string_uri,
                                                 GtkWindow *parent_window);
    void        cong_parser_result_add_issue    (CongParserResult *result,
                                                 CongIssueType type,
                                                 int linenum,
                                                 gchar *description);
    GtkDialog*  cong_parser_result_dialog_new   (CongParserResult *parser_result);
    GtkDialog*  cong_error_dialog_new_file_open_failed_from_parser_error
                                                (const gchar *string_uri,
                                                 CongParserResult *parser_result);
    xmlParserCtxtPtr cong_parse_from_filename   (const gchar *string_uri,
                                                 CongParserResult *parser_result);
    xmlParserCtxtPtr cong_parse_from_memory     (const char *buffer,
                                                 GnomeVFSFileSize size,
                                                 CongParserResult *parser_result);

## Description

## Details

### cong_ui_parse_buffer ()

    xmlDocPtr   cong_ui_parse_buffer            (const char *buffer,
                                                 GnomeVFSFileSize size,
                                                 const gchar *string_uri,
                                                 GtkWindow *parent_window);

TODO: Write me

`buffer` : |
`size` : |
`string_uri` : |
`parent_window` : |
Returns : |

### cong_parser_result_add_issue ()

    void        cong_parser_result_add_issue    (CongParserResult *result,
                                                 CongIssueType type,
                                                 int linenum,
                                                 gchar *description);

TODO: Write me

`result` : |
`type` : |
`linenum` : |
`description` : |

### cong_parser_result_dialog_new ()

    GtkDialog*  cong_parser_result_dialog_new   (CongParserResult *parser_result);

TODO: Write me

`parser_result` : |
Returns : |

### cong_error_dialog_new_file_open_failed_from_parser_error ()

    GtkDialog*  cong_error_dialog_new_file_open_failed_from_parser_error
                                                (const gchar *string_uri,
                                                 CongParserResult *parser_result);

TODO: Write me

`string_uri` : |
`parser_result` : |
Returns : |

### cong_parse_from_filename ()

    xmlParserCtxtPtr cong_parse_from_filename   (const gchar *string_uri,
                                                 CongParserResult *parser_result);

TODO: Write me

`string_uri` : |
`parser_result` : |
Returns : |

### cong_parse_from_memory ()

    xmlParserCtxtPtr cong_parse_from_memory     (const char *buffer,
                                                 GnomeVFSFileSize size,
                                                 CongParserResult *parser_result);

TODO: Write me

`buffer` : |
`size` : |
`parser_result` : |
Returns : |